
User Interface - Feature #3866

finish TreeView widget

01/10/2019 04:57 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #4170: add drag and drop support to treev... Closed

Related to User Interface - Feature #1820: implement a tree widget to replace... New

History

#2 - 01/10/2019 04:58 PM - Greg Shah

#3764 implemented enough of the TreeView widget to handle a fairly complex POC.  But the result is not yet a complete replacement for the MS

TreeView control.  This task is meant to complete that work.

#4 - 08/07/2019 02:21 PM - Greg Shah

- Related to Feature #4170: add drag and drop support to treeview widget added

#5 - 08/21/2019 05:41 PM - Greg Shah

Is there any other known work needed on this task?

#6 - 08/21/2019 05:59 PM - Hynek Cihlar

I'm not aware of any. But note that only a subset (used in the customer project) of the MS TreeView API has been implemented.

#7 - 08/22/2019 10:24 AM - Greg Shah

- Related to Feature #1820: implement a tree widget to replace the TreeView and ImageList OCXs added

#8 - 08/22/2019 10:24 AM - Greg Shah

only a subset (used in the customer project) of the MS TreeView API has been implemented.

 

I understand.  I'm leaving #1820 open for this purpose.

#9 - 08/22/2019 10:24 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed
https://proj.goldencode.com/issues/1820


- Assignee set to Hynek Cihlar
